/*
 * all callbacks that deal with function keys.
 */

#ifndef CALLBACKS_KEY_H
#define CALLBACKS_KEY_H

#include "forms.h"

void DeselectButtonCB (FL_OBJECT *, long);
void DownArrowKeyCB   (FL_OBJECT *, long);
void EndKeyCB         (FL_OBJECT *, long);
void HomeKeyCB        (FL_OBJECT *, long bForceNormal);
void InsertKeyCB      (FL_OBJECT *, long override);
void LeftArrowKeyCB   (FL_OBJECT *, long);
void NewEnterKeyCB    (FL_OBJECT *, long);
void PadAsteriskKeyCB (FL_OBJECT *, long);
void PadVirguleKeyCB  (FL_OBJECT *, long);
void PageDownKeyCB    (FL_OBJECT *, long);
void PageUpKeyCB      (FL_OBJECT *, long);
void RightArrowKeyCB  (FL_OBJECT *, long);
void SelectButtonCB   (FL_OBJECT *, long);
void TabKeyCB         (FL_OBJECT *, long no_raise_flag);
void UpArrowKeyCB     (FL_OBJECT *, long override);

void ChangeDirUpCB           (FL_OBJECT *, long);
void browser_double_click_cb (FL_OBJECT *, long);
void center_current_event_cb (FL_OBJECT *, long);
void center_selected_event_cb(FL_OBJECT *, long);
void cd_home_event_cb        (FL_OBJECT *, long);
void scroll_home_event_cb    (FL_OBJECT *, long);
void update_selection_state  (int status_msg_flag = FALSE);

void SetTargetCB      (FL_OBJECT *, long);
void Pad5KeyCB        (FL_OBJECT *, long);

int down_arrow_key_verify(void);
int up_arrow_key_verify  (void);

int direct_window_access_cb(XKeyEvent *xkev, KeySym keysym, int move_mouse_flag = FALSE);

void standard_browser_font_cb(FL_OBJECT *browser, int &fsize, int &fstyle, const char *title = "Font Options");

#endif
