#include <iostream.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "error_notifier_forms_aux.h"
#include "forms.h"
#include "global.h"
#include "gl_utility.h"
#include "help_forms_aux.h"
#include "crash_forms.h"
#include "crash_forms_aux.h"

#include "bitmaps/arggh64.bm"

static int crash_form_raw_cb(FL_FORM *form, void *xev){
    return standard_form_event_cb(form, (XEvent *) xev);
}

void crash_show(void){
    fl_deactivate_all_forms();
    fl_set_object_color(CrashFormBitmap, FL_WHITE, FL_BLACK);
    fl_set_bitmap_data(CrashFormBitmap, arggh64_width, arggh64_height, arggh64_bits);
    fl_register_call_back(CrashForm, KeyPressMask, crash_form_raw_cb);
    fl_show_form(CrashForm, FL_PLACE_CENTER, TRUE, "The End:");
    while(CrashForm->visible){
	tool_mung_events();
    }
}

void CrashFormHiddenReturnButtonCB(FL_OBJECT *, long){
    fl_set_object_color(CrashFormBitmap, FL_BLACK, FL_WHITE);
    sginap(30);
    if(CrashForm->visible){
	fl_hide_form(CrashForm);
    }
}


