
#ifndef FKEYBAR_FORMS_AUX_H
#define FKEYBAR_FORMS_AUX_H

#include <fstream.h>
#include "forms.h"
#include "resource.h"

extern double
    toolbox_ctrl_timeout
;
extern int
    fkeybar_wx, 
    fkeybar_wy,
    fkeybar_ww,
    fkeybar_wh
;

extern int fkeybar_visible_flag;

void fkeybar_help_func(void);
void fkeybar_close_form(void);
void fkeybar_set_fontsize(int size);
void fkeybar_iconify(void);
void fkeybar_uniconify(void);
void fkeybar_metach_sync(void);
void fkeybar_show_form(void);
void fkeybar_create_the_forms(void);
void fkeybar_save_defaults(ofstream &ofile);
void fkeybar_set_wintitle(void);
// no sync defaults, they are integrated with the
// toolbox syncing.

int fkeybar_load_default(
    const char *obj_tok, 
    const char *name_tok, 
    const char *val_tok
);

#endif

