/***********************************************************************
 *
 * Module: fl_editscrollbar.h
 * Author: Marc van Kempen (marc@bowtie.nl)
 * Desc:   include file for fl_editscrollbar.c
 *
 ***********************************************************************/

/*       $Id: fl_editscrollbar.h,v 1.2 1997/04/21 14:59:22 con_hak Exp henrik $
 */

#ifndef _FL_EDITSCROLLBAR_H_
#define _FL_EDITSCROLLBAR_H_

#define FL_EDITSCROLLBAR		1002
#define FL_HORIZONTAL_EDITSCROLLBAR 0
#define FL_VERTICAL_EDITSCROLLBAR   1

FL_OBJECT *fl_add_editscrollbar(int, FL_Coord, FL_Coord, FL_Coord, FL_Coord, const char *);
void	fl_editscrollbar_draw(FL_OBJECT *);
void	fl_set_editscrollbar_min(FL_OBJECT *, double);
void	fl_set_editscrollbar_max(FL_OBJECT *, double);
void	fl_set_editscrollbar_step(FL_OBJECT *, double);
void	fl_set_editscrollbar_wsize(FL_OBJECT *, double);
void	fl_set_editscrollbar_wsizeval(FL_OBJECT *, double);
void	fl_set_editscrollbar_val(FL_OBJECT *, double);
double	fl_get_editscrollbar_val(FL_OBJECT *);
double	fl_get_editscrollbar_max(FL_OBJECT *);
double	fl_get_editscrollbar_wsize(FL_OBJECT *);
void    fl_get_editscrollbar_parameters(FL_OBJECT *,double&, double&, double&, double&);
void    fl_set_editscrollbar_parameters(FL_OBJECT *,double, double, double, double);

#endif /*_FL_EDITSCROLLBAR_H_ */
 
