
/*
 * External declarations of functions and variables hidden in the guts of
 * xforms. Unfortunately, we really need them.
 */


#ifndef FLSPECIAL_H
#define FLSPECIAL_H

#include "forms.h"

const int FL_COMMAND_PROP=1;

//extern "C" int formnumb;
//extern "C" FL_FORM *forms[];
extern "C" unsigned int fl_keymask;
extern "C" FL_WM_STUFF fl_wmstuff;
//extern "C" GC fl_gc;
extern "C" FL_IOPT fl_cntl;

#define fl_map(i)    fl_state[i].colormap
#define fl_depth(i)  fl_state[i].depth

typedef int ML_t;
#define ML_ERR    (-1)
#define ML_WARN    0
#define ML_INFO1   1
#define ML_INFO2   2
#define ML_DEBUG   3
#define ML_TRACE   4

typedef void (*ErrFunc_) (const char *, const char *,...);
extern "C" ErrFunc_ whereError(int, ML_t, const char *, int), efp_;

#define M_err      (efp_ = whereError(0, ML_ERR, __FILE__, __LINE__)),efp_
#define M_warn     (efp_ = whereError(0, ML_WARN, __FILE__, __LINE__)),efp_
#define M_info     (efp_ = whereError(0, ML_INFO1, __FILE__, __LINE__)),efp_
#define M_info2    (efp_ = whereError(0, ML_INFO2, __FILE__, __LINE__)),efp_
#define M_debug    (efp_ = whereError(0, ML_DEBUG, __FILE__, __LINE__)),efp_
#define M_trace    (efp_ = whereError(0, ML_TRACE, __FILE__, __LINE__)),efp_

extern "C" void fl_error(const char *, const char *);
extern "C" FL_OBJECT *fl_find_last(FL_FORM *, int, FL_Coord, FL_Coord);

extern "C" void fl_set_winproperty(Window, unsigned);
extern "C" int fl_get_pos_in_slider(FL_Coord, FL_Coord, FL_Coord, FL_Coord,
			    int, float, FL_Coord, FL_Coord, float, float *);


#endif
