/* menu.h: Full menu functionality
 * operation via mouse
 */

#ifndef _MENU_H
#define _MENU_H

#include "global.h"

#if defined(LINUX) || defined(DEC_ALPHA) || defined(AIX) || defined(SGI) && !defined(SGI_IRIX4) || defined(GENERICBSD) || defined(UNIXWARE) || defined(SINIX) || defined(SUNOS) || defined(SCO)
class pup_c;
#else
extern class pup_c;
#endif

// show the menu, return the value of the item selected. Else return -1;
long do_pup    (long pup);

// (de) allocate internal storage for a new pup (set pup to 0)
void free_pup  (long &pup);
long new_pup (void);

// register another menu line in a popup, 
// include a text with specifiers, callback or value, and possibly, shortcuts.
void add_to_pup(long pup, const char *str, long arg, const char *shortcuts = NULL);

#endif
