/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "options_forms.h"

FL_FORM *OptionsForm;

FL_OBJECT
        *OptionsFormCloseReturnButton,
        *OptionsFormSaveConfigButton,
        *OptionsFormLoadConfigButton,
        *OptionsFormAlwaysButton,
        *OptionsFormAskButton,
        *OptionsFormDontButton,
        *OptionsFormFactoryDefaultsButton,
        *OptionsFormUCShellButton,
        *OptionsFormStatusButton,
        *OptionsFormTreeAlwaysButton,
        *OptionsFormTreeAskButton,
        *OptionsFormTreeDontButton,
        *OptionsFormDefaultsButton,
        *OptionsFormHelpButton,
        *OptionsFormWinManagerButton,
        *OptionsFormAutoRaiseButton,
        *OptionsFormAutoMouseButton,
        *OptionsFormStartupMsgButton,
        *OptionsFormToolBoxVisibleButton,
        *OptionsFormToolBoxSplitButton,
        *OptionsFormFKeyBarButton,
        *OptionsFormEditorButton,
        *OptionsFormSpecialOpsButton,
        *OptionsFormShellOpsButton;

void create_form_OptionsForm(void)
{
  FL_OBJECT *obj;

  if (OptionsForm)
     return;

  OptionsForm = fl_bgn_form(FL_NO_BOX,540,270);
  obj = fl_add_box(FL_UP_BOX,0,0,540,270,"");
  obj = fl_add_box(FL_FRAME_BOX,5,35,130,100,"");
  obj = fl_add_box(FL_FRAME_BOX,140,35,130,100,"");
  obj = fl_add_box(FL_FRAME_BOX,410,35,130,100,"");
  OptionsFormCloseReturnButton = obj = fl_add_button(FL_RETURN_BUTTON,10,235,120,30,"Close");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormCloseReturnButtonCB,0);
  OptionsFormSaveConfigButton = obj = fl_add_button(FL_NORMAL_BUTTON,10,40,120,30,"Save to Database");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormSaveConfigButtonCB,0);
  OptionsFormLoadConfigButton = obj = fl_add_button(FL_NORMAL_BUTTON,10,70,120,30,"Load Database   ");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormLoadConfigButtonCB,0);
  OptionsFormAlwaysButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,145,40,120,30,"Always save");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormAlwaysAskDontButtonCB,0);
  OptionsFormAskButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,145,70,120,30,"Ask for save");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormAlwaysAskDontButtonCB,1);
  OptionsFormDontButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,145,100,120,30,"Don't save");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormAlwaysAskDontButtonCB,2);
  obj = fl_add_text(FL_NORMAL_TEXT,140,5,130,30,"Config. at Exit:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  OptionsFormFactoryDefaultsButton = obj = fl_add_button(FL_NORMAL_BUTTON,10,100,120,30,"Factory Defaults");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormFactoryDefaultsButtonCB,0);
  OptionsFormUCShellButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,415,40,120,30,"UCShell");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormUCShellButtonCB,0);
  OptionsFormStatusButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,415,70,120,30,"Status Msgs.");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormStatusButtonCB,0);
  obj = fl_add_text(FL_NORMAL_TEXT,410,5,130,30,"Extra Windows:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,5,5,130,30,"Configuration:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_box(FL_FRAME_BOX,275,35,130,100,"");
  OptionsFormTreeAlwaysButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,280,40,120,30,"AlWays save");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormTreeAlwaysAskDontButtonCB,0);
  OptionsFormTreeAskButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,280,70,120,30,"AsK for save");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormTreeAlwaysAskDontButtonCB,1);
  OptionsFormTreeDontButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,280,100,120,30,"DoN't save");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormTreeAlwaysAskDontButtonCB,2);
  obj = fl_add_text(FL_NORMAL_TEXT,275,5,130,30,"Tree Data at Exit:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  OptionsFormDefaultsButton = obj = fl_add_button(FL_NORMAL_BUTTON,10,205,120,30,"Defaults");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormDefaultsButtonCB,0);
  OptionsFormHelpButton = obj = fl_add_button(FL_NORMAL_BUTTON,10,175,120,30,"F1 Help");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormHelpButtonCB,0);
  OptionsFormWinManagerButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,415,100,120,30,"WinManager");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormWinManagerButtonCB,0);
  obj = fl_add_box(FL_FRAME_BOX,140,170,130,100,"");
  OptionsFormAutoRaiseButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,145,175,120,30,"AutoRaise");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormAutoRaiseButtonCB,0);
  OptionsFormAutoMouseButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,145,205,120,30,"AutoMouse");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormAutoMouseButtonCB,0);
  obj = fl_add_text(FL_NORMAL_TEXT,140,140,130,30,"Defaults:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  OptionsFormStartupMsgButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,145,235,120,30,"Startup Msg.");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormStartupMsgButtonCB,0);
  obj = fl_add_box(FL_FRAME_BOX,275,170,130,100,"");
  obj = fl_add_text(FL_NORMAL_TEXT,275,140,130,30,"ToolBox:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  OptionsFormToolBoxVisibleButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,280,175,120,30,"Visible");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormToolBoxVisibleButtonCB,0);
  OptionsFormToolBoxSplitButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,280,205,120,30,"Split Box");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormToolBoxSplitButtonCB,0);
  OptionsFormFKeyBarButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,280,235,120,30,"FKeyBar");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormFKeyBarButtonCB,0);
  obj = fl_add_box(FL_FRAME_BOX,410,170,130,100,"");
  obj = fl_add_text(FL_NORMAL_TEXT,410,140,130,30,"Other:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  OptionsFormEditorButton = obj = fl_add_button(FL_NORMAL_BUTTON,415,175,120,30,"Editor (for F6) ");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormEditorButtonCB,0);
  OptionsFormSpecialOpsButton = obj = fl_add_button(FL_NORMAL_BUTTON,415,235,120,30,"Special Options");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormSpecialOpsButtonCB,0);
  OptionsFormShellOpsButton = obj = fl_add_button(FL_NORMAL_BUTTON,415,205,120,30,"Shell Options   ");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,OptionsFormShellOpsButtonCB,0);
  fl_end_form();

}
/*---------------------------------------*/

FL_FORM *TimeoutForm;

FL_OBJECT
        *TimeoutFormSingleFileCounter,
        *TimeoutFormCumulativeDirCounter,
        *TimeoutFormCloseReturnButton,
        *TimeoutFormDefaultsButton,
        *TimeoutFormHelpButton;

void create_form_TimeoutForm(void)
{
  FL_OBJECT *obj;

  if (TimeoutForm)
     return;

  TimeoutForm = fl_bgn_form(FL_NO_BOX,415,105);
  obj = fl_add_box(FL_UP_BOX,0,0,415,105,"");
  obj = fl_add_box(FL_FRAME_BOX,5,5,244,30,"");
  obj = fl_add_box(FL_FRAME_BOX,5,35,244,30,"");
  TimeoutFormSingleFileCounter = obj = fl_add_counter(FL_NORMAL_COUNTER,250,35,160,30,"Single File Read Timeout");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,TimeoutFormSingleFileCounterCB,0);
  TimeoutFormCumulativeDirCounter = obj = fl_add_counter(FL_NORMAL_COUNTER,250,5,160,30,"Cumulative Directory Timeout");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,TimeoutFormCumulativeDirCounterCB,0);
  TimeoutFormCloseReturnButton = obj = fl_add_button(FL_RETURN_BUTTON,5,70,95,30,"Close");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,TimeoutFormCloseReturnButtonCB,0);
  obj = fl_add_text(FL_NORMAL_TEXT,290,70,125,30,"times in seconds");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESITALIC_STYLE);
  TimeoutFormDefaultsButton = obj = fl_add_button(FL_NORMAL_BUTTON,100,70,95,30,"Defaults");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,TimeoutFormDefaultsButtonCB,0);
  TimeoutFormHelpButton = obj = fl_add_button(FL_NORMAL_BUTTON,195,70,95,30,"F1 Help");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,TimeoutFormHelpButtonCB,0);
  fl_end_form();

}
/*---------------------------------------*/

FL_FORM *SpecialOpsForm;

FL_OBJECT
        *SpecialOpsCtrlTimeoutCounter,
        *SpecialOpsCloseReturnButton,
        *SpecialOpsPFlagButton,
        *SpecialOpsTimeoutsButton,
        *SpecialOpsMenuFSizeButton,
        *SpecialOpsMenuFStyleButton,
        *SpecialOpsToolFSizeButton,
        *SpecialOpsToolFStyleButton,
        *SpecialOpsDefaultsButton,
        *SpecialOpsHelpButton,
        *SpecialOpsFocusFlagButton,
        *SpecialOpsBrowserFrequencyCounter,
        *SpecialOpsXShellFrequencyCounter;

void create_form_SpecialOpsForm(void)
{
  FL_OBJECT *obj;

  if (SpecialOpsForm)
     return;

  SpecialOpsForm = fl_bgn_form(FL_NO_BOX,455,230);
  obj = fl_add_box(FL_UP_BOX,0,0,455,230,"");
  obj = fl_add_box(FL_FRAME_BOX,5,100,270,30,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_box(FL_FRAME_BOX,5,35,390,30,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_box(FL_NO_BOX,395,35,55,30,"on copy, keep old file time, perm's etc. for new file (-p)");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_box(FL_FRAME_BOX,5,70,270,30,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  SpecialOpsCtrlTimeoutCounter = obj = fl_add_counter(FL_NORMAL_COUNTER,275,70,175,30,"Toolbox Ctrl-Button Timeout");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsCtrlTimeoutCounterCB,0);
  SpecialOpsCloseReturnButton = obj = fl_add_button(FL_RETURN_BUTTON,5,195,100,30,"Close");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsCloseReturnButtonCB,0);
  SpecialOpsPFlagButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,395,35,55,30,"On");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsPFlagButtonCB,0);
  SpecialOpsTimeoutsButton = obj = fl_add_button(FL_NORMAL_BUTTON,5,165,100,30,"Timeouts");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsTimeoutsButtonCB,0);
  SpecialOpsMenuFSizeButton = obj = fl_add_button(FL_NORMAL_BUTTON,300,165,75,30,"Size");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsMenuFSizeButtonCB,0);
  SpecialOpsMenuFStyleButton = obj = fl_add_button(FL_NORMAL_BUTTON,375,165,75,30,"Style");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsMenuFStyleButtonCB,0);
  obj = fl_add_box(FL_FRAME_BOX,210,165,90,30,"Menu Font");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_box(FL_FRAME_BOX,210,195,90,30,"Tool Font");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  SpecialOpsToolFSizeButton = obj = fl_add_button(FL_NORMAL_BUTTON,300,195,75,30,"Size");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsToolFSizeButtonCB,0);
  SpecialOpsToolFStyleButton = obj = fl_add_button(FL_NORMAL_BUTTON,375,195,75,30,"Style");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsToolFStyleButtonCB,0);
  SpecialOpsDefaultsButton = obj = fl_add_button(FL_NORMAL_BUTTON,105,165,100,30,"Defaults");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsDefaultsButtonCB,0);
  SpecialOpsHelpButton = obj = fl_add_button(FL_NORMAL_BUTTON,105,195,100,30,"F1 Help");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsHelpButtonCB,0);
  obj = fl_add_box(FL_FRAME_BOX,5,5,390,30,"on startup, move focus to UC (good for stupid window managers)");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  SpecialOpsFocusFlagButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,395,5,55,30,"On");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsFocusFlagButtonCB,0);
  SpecialOpsBrowserFrequencyCounter = obj = fl_add_counter(FL_NORMAL_COUNTER,275,100,175,30,"Browser Auto-Update Frequency per 10 seconds");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsBrowserFrequencyCounterCB,0);
  obj = fl_add_box(FL_FRAME_BOX,5,130,270,30,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  SpecialOpsXShellFrequencyCounter = obj = fl_add_counter(FL_NORMAL_COUNTER,275,130,175,30,"XShell Auto-Update Frequency per 10 seconds");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SpecialOpsXShellFrequencyCounterCB,0);
  fl_end_form();

}
/*---------------------------------------*/

void options_create_the_forms(void)
{
  create_form_OptionsForm();
  create_form_TimeoutForm();
  create_form_SpecialOpsForm();
}

