/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "sort_forms.h"
#include "global.h"

FL_FORM *SortForm;

FL_OBJECT
        *AuxSortReverseButton,
        *SortCloseReturnButton,
        *SortReverseButton,
        *SortDefaultsButton,
        *SortHelpButton,
        *SortSyncAllButton,
        *SortByGroup,
        *SortOwnerButton,
        *SortGroupButton,
        *SortSizeButton,
        *SortNLinksButton,
        *SortAccessButton,
        *SortModificationButton,
        *SortInodeButton,
        *SortNameButton,
        *SortFileTypeButton,
        *SortExtensionButton,
        *AuxSortByGroup,
        *AuxSortOwnerButton,
        *AuxSortGroupButton,
        *AuxSortSizeButton,
        *AuxSortNLinksButton,
        *AuxSortAccessButton,
        *AuxSortModificationButton,
        *AuxSortInodeButton,
        *AuxSortNameButton,
        *AuxSortFileTypeButton,
        *AuxSortExtensionButton;

void create_form_SortForm(void)
{
  FL_OBJECT *obj;

  if (SortForm)
     return;

  SortForm = fl_bgn_form(FL_NO_BOX,455,265);
  obj = fl_add_box(FL_UP_BOX,0,0,455,265,"");
  obj = fl_add_box(FL_FRAME_BOX,230,195,220,30,"");
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
  AuxSortReverseButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,235,195,200,30,"^Reverse Sort Order");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,AuxSortReverseButtonCB,0);
  obj = fl_add_box(FL_FRAME_BOX,5,195,220,30,"");
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
  obj = fl_add_box(FL_FRAME_BOX,5,35,220,160,"");
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
  SortCloseReturnButton = obj = fl_add_button(FL_RETURN_BUTTON,10,230,95,30,"Close");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortCloseReturnButtonCB,0);
  obj = fl_add_text(FL_NORMAL_TEXT,5,5,100,30,"main sort by");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  SortReverseButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,10,195,190,30,"Reverse Sort Order");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortReverseButtonCB,0);
  obj = fl_add_text(FL_NORMAL_TEXT,230,5,100,30,"aux. sort by");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  SortDefaultsButton = obj = fl_add_button(FL_NORMAL_BUTTON,105,230,95,30,"Defaults");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortDefaultsButtonCB,0);
  obj = fl_add_text(FL_NORMAL_TEXT,330,5,115,30,"(use Control)");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESITALIC_STYLE);
  obj = fl_add_box(FL_FRAME_BOX,230,35,220,160,"");
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
  SortHelpButton = obj = fl_add_button(FL_NORMAL_BUTTON,295,230,95,30,"F1 Help");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortHelpButtonCB,0);
  SortSyncAllButton = obj = fl_add_button(FL_NORMAL_BUTTON,200,230,95,30,"S^ync All");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortSyncAllButtonCB,0);

  SortByGroup = fl_bgn_group();
  SortOwnerButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,10,40,105,30,"Owner");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortCB,owner_e);
  SortGroupButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,10,70,105,30,"Group");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortCB,group_e);
  SortSizeButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,10,100,105,30,"Size");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortCB,size_e);
  SortNLinksButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,10,130,105,30,"# Links");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortCB,nlinks_e);
  SortAccessButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,10,160,105,30,"Access");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortCB,access_e);
  SortModificationButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,115,40,105,30,"Modific'n");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortCB,modific_e);
  SortInodeButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,115,70,105,30,"Inode");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortCB,inode_e);
  SortNameButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,115,130,105,30,"Name");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortCB,name_e);
  SortFileTypeButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,115,100,105,30,"Filetype");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortCB,filetype_e);
  SortExtensionButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,115,160,105,30,"Extension");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,SortCB,extension_e);
  fl_end_group();


  AuxSortByGroup = fl_bgn_group();
  AuxSortOwnerButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,235,40,105,30,"^Owner");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,AuxSortCB,owner_e);
  AuxSortGroupButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,235,70,105,30,"^Group");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,AuxSortCB,group_e);
  AuxSortSizeButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,235,100,105,30,"^Size");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,AuxSortCB,size_e);
  AuxSortNLinksButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,235,130,105,30,"# ^Links");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,AuxSortCB,nlinks_e);
  AuxSortAccessButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,235,160,105,30,"^Access");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,AuxSortCB,access_e);
  AuxSortModificationButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,340,40,105,30,"^Modific'n");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,AuxSortCB,modific_e);
  AuxSortInodeButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,340,70,105,30,"^Inode");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,AuxSortCB,inode_e);
  AuxSortNameButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,340,130,105,30,"^Name");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,AuxSortCB,name_e);
  AuxSortFileTypeButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,340,100,105,30,"^Filetype");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,AuxSortCB,filetype_e);
  AuxSortExtensionButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,340,160,105,30,"E^xtension");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,AuxSortCB,extension_e);
  fl_end_group();

  fl_end_form();

}
/*---------------------------------------*/

void sort_create_the_forms(void)
{
  create_form_SortForm();
}

