
#ifndef STATUS_FORMS_AUX_H
#define STATUS_FORMS_AUX_H

#include "resource.h"

extern int
    status_fontsize,
    status_wx, 
    status_wy,
    status_ww,
    status_wh
;

extern int
    status_importance_level,
    status_visible_flag
;

void status_context_func(void);
void status_close_form(void);
void status_iconify(void);
void status_uniconify(void);
void status_show_form(void);
void status_create_the_forms(void);
void status_save_defaults(ofstream &ofile);
void status_sync_defaults(void);   // after loading. 

int status_load_default(
    const char *obj_tok, 
    const char *name_tok, 
    const char *val_tok
);

// importance levels 0 = always, 1 = mostly, 2 = maybe ...
void status_msg(int importance, const char *format_string, ...);

#endif

