
#ifndef SUPERLS_H
#define SUPERLS_H

#include <sys/types.h>
/*
 * call sls_main with a proper command line, and it will use
 * the `browser_puts' routine for its line-by-line output.
 */

typedef struct {		/* for saving name and stat info */
    char        *f_name;
    struct stat  f_stat;
} SFILESTAT;

typedef void (*browser_puts_fpt)(char *, SFILESTAT *);

int sls_main (int ac, char *av[], browser_puts_fpt browser_puts);

char  *aperms (
    mode_t   mode,	/* mode word from stat structure */
    char     *poptstr,	/* ptr to format string following %<char> */
    int      *pnmod	/* #of chars "eaten" from format string */
);

char *fmtdate (time_t ldate, char  *poptstr, int *pnmod);

char *getfmtstr (
    char   ftype,	
    int    width,
    int    leftjust,
    int    zerofill
);
char
    *getpwname (uid_t  uid),
    *getgrname (gid_t  gid)
;

#endif  // SUPERLS_H
