/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "toolbox_forms.h"

FL_FORM *ToolBoxForm;

FL_OBJECT
        *ToolBoxFormEnterText,
        *ToolBoxFormHiddenReturnButton,
        *ToolBoxFormGroup,
        *ToolBoxFormBox0,
        *ToolBoxFormF1Button,
        *ToolBoxFormBox1,
        *ToolBoxFormF5Button,
        *ToolBoxFormBox2,
        *ToolBoxFormF9Button,
        *ToolBoxFormF12Button,
        *ToolBoxFormF11Button,
        *ToolBoxFormF10Button,
        *ToolBoxFormF6Button,
        *ToolBoxFormF7Button,
        *ToolBoxFormF8Button,
        *ToolBoxFormF8Text,
        *ToolBoxFormF4Button,
        *ToolBoxFormF3Button,
        *ToolBoxFormF2Button,
        *ToolBoxFormMetaTimer,
        *ToolBoxFormF7Text,
        *ToolBoxFormF6Text,
        *ToolBoxFormF5Text,
        *ToolBoxFormF11Text,
        *ToolBoxFormF1Text,
        *ToolBoxFormF12Text,
        *ToolBoxFormF2Text,
        *ToolBoxFormF3Text,
        *ToolBoxFormF4Text,
        *ToolBoxFormF9Text,
        *ToolBoxFormF10Text,
        *ToolBoxFormPadAsteriskButton,
        *ToolBoxFormPadVirguleButton,
        *ToolBoxFormPadPlusButton,
        *ToolBoxFormPad4Button,
        *ToolBoxFormPad8Button,
        *ToolBoxFormPad6Button,
        *ToolBoxFormPad2Button,
        *ToolBoxFormPad7Button,
        *ToolBoxFormPad9Button,
        *ToolBoxFormPad3Button,
        *ToolBoxFormPad5Button,
        *ToolBoxFormPad1Button,
        *ToolBoxFormPad0Button,
        *ToolBoxFormPadMinusButton,
        *ToolBoxFormMetaButton,
        *ToolBoxFormSplitButton;

void create_form_ToolBoxForm(void)
{
  FL_OBJECT *obj;

  if (ToolBoxForm)
     return;

  ToolBoxForm = fl_bgn_form(FL_NO_BOX,120,370);
  obj = fl_add_box(FL_UP_BOX,0,0,120,370,"");
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthEast);
  obj = fl_add_box(FL_BORDER_BOX,89,114,28,56,"");
  ToolBoxFormEnterText = obj = fl_add_text(FL_NORMAL_TEXT,89,114,28,56,"@returnarrow");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  ToolBoxFormHiddenReturnButton = obj = fl_add_button(FL_HIDDEN_RET_BUTTON,89,114,28,56,"");
    fl_set_button_shortcut(obj,"^M",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,ToolBoxFormHiddenReturnButtonCB,0);

  ToolBoxFormGroup = fl_bgn_group();
  ToolBoxFormBox0 = obj = fl_add_box(FL_BORDER_BOX,5,175,30,60,"");
  ToolBoxFormF1Button = obj = fl_add_button(FL_NORMAL_BUTTON,5,175,30,15,"F1");
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,ToolBoxFormF1ButtonCB,0);
  ToolBoxFormBox1 = obj = fl_add_box(FL_BORDER_BOX,5,240,30,60,"");
  ToolBoxFormF5Button = obj = fl_add_button(FL_NORMAL_BUTTON,5,240,30,15,"F5");
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,QuickEditButtonCB,0);
  ToolBoxFormBox2 = obj = fl_add_box(FL_BORDER_BOX,5,305,30,60,"");
  ToolBoxFormF9Button = obj = fl_add_button(FL_NORMAL_BUTTON,5,305,30,15,"F9");
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,DuplicateButtonCB,0);
  ToolBoxFormF12Button = obj = fl_add_button(FL_NORMAL_BUTTON,5,350,30,15,"F12");
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,ExitButtonCB,0);
  ToolBoxFormF11Button = obj = fl_add_button(FL_NORMAL_BUTTON,5,335,30,15,"F11");
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,DeleteButtonCB,0);
  ToolBoxFormF10Button = obj = fl_add_button(FL_NORMAL_BUTTON,5,320,30,15,"F10");
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,CopyButtonCB,0);
  ToolBoxFormF6Button = obj = fl_add_button(FL_NORMAL_BUTTON,5,255,30,15,"F6");
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,EditButtonCB,0);
  ToolBoxFormF7Button = obj = fl_add_button(FL_NORMAL_BUTTON,5,270,30,15,"F7");
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,RenameButtonCB,0);
  ToolBoxFormF8Button = obj = fl_add_button(FL_NORMAL_BUTTON,5,285,30,15,"F8");
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,MoveButtonCB,0);
  ToolBoxFormF8Text = obj = fl_add_text(FL_NORMAL_TEXT,35,285,80,15,"Move");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  ToolBoxFormF4Button = obj = fl_add_button(FL_NORMAL_BUTTON,5,220,30,15,"F4");
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,TreeButtonCB,0);
  ToolBoxFormF3Button = obj = fl_add_button(FL_NORMAL_BUTTON,5,205,30,15,"F3");
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,MkDirButtonCB,0);
  ToolBoxFormF2Button = obj = fl_add_button(FL_NORMAL_BUTTON,5,190,30,15,"F2");
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,ToolBoxFormF2ButtonCB,0);
  ToolBoxFormMetaTimer = obj = fl_add_timer(FL_HIDDEN_TIMER,5,5,55,20,"");
    fl_set_object_callback(obj,ToolBoxFormMetaTimerCB,0);
  ToolBoxFormF7Text = obj = fl_add_text(FL_NORMAL_TEXT,35,270,80,15,"Rename");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  ToolBoxFormF6Text = obj = fl_add_text(FL_NORMAL_TEXT,35,255,80,15,"Edit");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  ToolBoxFormF5Text = obj = fl_add_text(FL_NORMAL_TEXT,35,240,80,15,"QuickEdit");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  ToolBoxFormF11Text = obj = fl_add_text(FL_NORMAL_TEXT,35,335,80,15,"Delete");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  ToolBoxFormF1Text = obj = fl_add_text(FL_NORMAL_TEXT,35,175,80,15,"Local Help");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  ToolBoxFormF12Text = obj = fl_add_text(FL_NORMAL_TEXT,35,350,80,15,"Exit");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  ToolBoxFormF2Text = obj = fl_add_text(FL_NORMAL_TEXT,35,190,80,15,"Menu");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  ToolBoxFormF3Text = obj = fl_add_text(FL_NORMAL_TEXT,35,205,80,15,"Make Dir");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  ToolBoxFormF4Text = obj = fl_add_text(FL_NORMAL_TEXT,35,220,80,15,"Dir Tree");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  ToolBoxFormF9Text = obj = fl_add_text(FL_NORMAL_TEXT,35,305,80,15,"Duplicate");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  ToolBoxFormF10Text = obj = fl_add_text(FL_NORMAL_TEXT,35,320,80,15,"Copy");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_box(FL_BORDER_BOX,61,142,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,5,142,56,28,"");
  obj = fl_add_box(FL_BORDER_BOX,61,114,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,33,114,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,5,114,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,61,86,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,33,86,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,5,86,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,89,58,28,56,"");
  obj = fl_add_box(FL_BORDER_BOX,61,58,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,33,58,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,5,58,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,89,30,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,61,30,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,33,30,28,28,"");
  obj = fl_add_box(FL_BORDER_BOX,5,30,28,28,"");
  ToolBoxFormPadAsteriskButton = obj = fl_add_button(FL_NORMAL_BUTTON,61,30,28,28,"*");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPadAsteriskButtonCB,0);
  ToolBoxFormPadVirguleButton = obj = fl_add_button(FL_NORMAL_BUTTON,33,30,28,28,"/");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPadVirguleButtonCB,0);
  ToolBoxFormPadPlusButton = obj = fl_add_button(FL_NORMAL_BUTTON,89,58,28,56,"+");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPadPlusButtonCB,0);
  ToolBoxFormPad4Button = obj = fl_add_button(FL_TOUCH_BUTTON,5,86,28,28,"@4");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPad4ButtonCB,0);
  ToolBoxFormPad8Button = obj = fl_add_button(FL_TOUCH_BUTTON,33,58,28,28,"@8");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPad8ButtonCB,0);
  ToolBoxFormPad6Button = obj = fl_add_button(FL_TOUCH_BUTTON,61,86,28,28,"@6");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPad6ButtonCB,0);
  ToolBoxFormPad2Button = obj = fl_add_button(FL_TOUCH_BUTTON,33,114,28,28,"@2");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPad2ButtonCB,0);
  ToolBoxFormPad7Button = obj = fl_add_button(FL_TOUCH_BUTTON,5,58,28,28,"@8->|");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPad7ButtonCB,0);
  ToolBoxFormPad9Button = obj = fl_add_button(FL_TOUCH_BUTTON,61,58,28,28,"@8>>");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPad9ButtonCB,0);
  ToolBoxFormPad3Button = obj = fl_add_button(FL_TOUCH_BUTTON,61,114,28,28,"@2>>");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPad3ButtonCB,0);
  ToolBoxFormPad5Button = obj = fl_add_button(FL_TOUCH_BUTTON,33,86,28,28,"@circle");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPad5ButtonCB,0);
  ToolBoxFormPad1Button = obj = fl_add_button(FL_TOUCH_BUTTON,5,114,28,28,"@2->|");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPad1ButtonCB,0);
  ToolBoxFormPad0Button = obj = fl_add_button(FL_TOUCH_BUTTON,5,142,56,28,"Ins ");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPad0ButtonCB,0);
  ToolBoxFormPadMinusButton = obj = fl_add_button(FL_NORMAL_BUTTON,89,30,28,28,"-");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormPadMinusButtonCB,0);
  ToolBoxFormMetaButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,5,5,84,20,"Meta off");
    fl_set_object_color(obj,FL_BLACK,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,ToolBoxFormMetaButtonCB,0);
  ToolBoxFormSplitButton = obj = fl_add_button(FL_TOUCH_BUTTON,89,5,28,20,"@2");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,ToolBoxFormSplitButtonCB,0);
  fl_end_group();

  fl_end_form();

}
/*---------------------------------------*/

void toolbox_create_the_forms(void)
{
  create_form_ToolBoxForm();
}

