/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "tree_forms.h"

FL_FORM *TreeForm = NULL;

FL_OBJECT
        *TreeFormBox,
        *TreeFormVertSlider,
        *TreeFormHorSlider,
        *TreeFormHorLeftButton,
        *TreeFormVertDownButton,
        *TreeFormHorRightButton,
        *TreeSourceBox,
        *TreeTargetBox,
        *TreeFormVertUpButton,
        *TreeFormFileButton,
        *TreeFormEditButton,
        *TreeFormOptionsButton,
        *TreeFormActionsButton,
		*TreeFormFreeObj,
        *TreeFormText;

extern int tree_handle_free(FL_OBJECT *obj, int event, FL_Coord x, FL_Coord y, int key, void *xev);

void create_form_TreeForm(void)
{
  FL_OBJECT *obj;

  if (TreeForm)
     return;

  TreeForm = fl_bgn_form(FL_NO_BOX,860,680);
  /*obj = fl_add_box(FL_UP_BOX,0,0,860,680,""); */ /* VIP Opt */
  TreeFormBox = obj = fl_add_box(FL_UP_BOX,20,20,840,640,"");
    fl_set_object_color(obj,FL_SLATEBLUE,FL_COL1);
  TreeFormFreeObj = obj = fl_add_free(FL_INPUT_FREE,0,0,TreeForm->w,TreeForm->h,"",tree_handle_free);
    obj->input = TRUE;

  TreeFormVertSlider = obj = fl_add_slider(FL_VERT_SLIDER,0,40,20,600,"");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_DEFAULT_SIZE);
    fl_set_object_callback(obj,TreeFormVertSliderCB,0);
     fl_set_slider_return(obj, FL_RETURN_CHANGED);
  TreeFormHorSlider = obj = fl_add_slider(FL_HOR_SLIDER,40,660,800,20,"");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_DEFAULT_SIZE);
    fl_set_object_callback(obj,TreeFormHorSliderCB,0);
     fl_set_slider_return(obj, FL_RETURN_CHANGED);
  TreeFormHorLeftButton = obj = fl_add_button(FL_TOUCH_BUTTON,20,660,20,20,"@4");
    fl_set_object_callback(obj,TreeFormHorLeftButtonCB,0);
  TreeFormVertDownButton = obj = fl_add_button(FL_TOUCH_BUTTON,0,640,20,20,"@2");
    fl_set_object_callback(obj,TreeFormVertDownButtonCB,0);
  TreeFormHorRightButton = obj = fl_add_button(FL_TOUCH_BUTTON,840,660,20,20,"@6");
    fl_set_object_callback(obj,TreeFormHorRightButtonCB,0);
  TreeSourceBox = obj = fl_add_box(FL_BORDER_BOX,180,600,30,30,"");
    fl_set_object_color(obj,FL_GREEN,FL_COL1);
  TreeTargetBox = obj = fl_add_box(FL_BORDER_BOX,210,600,30,30,"");
    fl_set_object_color(obj,FL_YELLOW,FL_COL1);
  obj = fl_add_box(FL_UP_BOX,0,660,20,20,"");
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);


  TreeFormVertUpButton = obj = fl_add_button(FL_TOUCH_BUTTON,0,20,20,20,"@8");
    fl_set_object_callback(obj,TreeFormVertUpButtonCB,0);
  TreeFormFileButton = obj = fl_add_button(FL_NORMAL_BUTTON,0,0,60,20,"File");
    fl_set_button_shortcut(obj,"#F#f",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,TreeFormFileButtonCB,0);
  TreeFormEditButton = obj = fl_add_button(FL_NORMAL_BUTTON,60,0,60,20,"Edit");
    fl_set_button_shortcut(obj,"#E#e",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,TreeFormEditButtonCB,0);
  TreeFormOptionsButton = obj = fl_add_button(FL_NORMAL_BUTTON,120,0,60,20,"Options");
    fl_set_button_shortcut(obj,"#O#o",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,TreeFormOptionsButtonCB,0);
  TreeFormActionsButton = obj = fl_add_button(FL_NORMAL_BUTTON,180,0,60,20,"Actions");
    fl_set_button_shortcut(obj,"#A#a",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,TreeFormActionsButtonCB,0);
  TreeFormText = obj = fl_add_text(FL_NORMAL_TEXT,240,0,620,20,"");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthEast);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fl_end_form();

}
/*---------------------------------------*/

void tree_create_the_forms(void)
{
  create_form_TreeForm();
}

