/*
 * all callbacks that deal with function keys.
 */

#ifndef CALLBACKS_FKEY_H
#define CALLBACKS_FKEY_H

#include "forms.h"

extern void HelpButtonCB      (FL_OBJECT *, long);
extern void OptionsButtonCB   (FL_OBJECT *, long);
extern void MkDirButtonCB     (FL_OBJECT *, long);
extern void TreeButtonCB      (FL_OBJECT *, long);
extern void QuickEditButtonCB (FL_OBJECT *, long);
extern void EditButtonCB      (FL_OBJECT *, long);
extern void RenameButtonCB    (FL_OBJECT *, long);
extern void MoveButtonCB      (FL_OBJECT *, long);
extern void DuplicateButtonCB (FL_OBJECT *, long);
extern void CopyButtonCB      (FL_OBJECT *, long);
extern void DeleteButtonCB    (FL_OBJECT *, long);
extern void ExitButtonCB      (FL_OBJECT *, long);

extern void CopyAndRenameCB   (FL_OBJECT *, long);
extern void MoveAndRenameCB   (FL_OBJECT *, long);

int do_fork_mkdir(const char *path);
int edit_file(const char *fname, int bBusyCursorFlag = FALSE);

#endif
