/* Form definition file generated with fdesign. */

#include "forms.h"
#include "global.h"
#include <stdlib.h>
#include "display_forms.h"

FL_FORM *DisplayForm;

FL_OBJECT
        *DisplayGroupButton,
        *DisplayInodeButton,
        *DisplayOwnerButton,
        *DisplayPermissionsButton,
        *DisplayNLinksButton,
        *DisplaySizeButton,
        *DisplayAccessButton,
        *DisplayModificationButton,
        *DisplayFiletypeButton,
        *DisplayYearsButton,
        *DisplaySecondsButton,
        *DisplayCloseReturnButton,
        *DisplayDefaultsButton,
        *NumericSymbolicButtonGroup,
        *DisplaySymbolicIDButton,
        *DisplayNumericIDButton,
        *DisplayFontSizeButton,
        *DisplayFontStyleButton,
        *DisplayTypeCharButton,
        *DisplayFollowLinksButton,
        *DisplayListHiddenButton,
        *DisplayHelpButton,
        *DisplayLongButton,
        *DisplaySyncAllButton;

void create_form_DisplayForm(void)
{
  FL_OBJECT *obj;

  if (DisplayForm)
     return;

  DisplayForm = fl_bgn_form(FL_NO_BOX,585,235);
  obj = fl_add_box(FL_UP_BOX,0,0,585,235,"");
  obj = fl_add_text(FL_NORMAL_TEXT,210,140,120,40,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,5,35,200,160,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,460,35,120,70,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,335,35,120,70,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,210,35,120,70,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,210,5,120,30,"Time Format");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  DisplayGroupButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,10,70,95,30,"Group");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayCB,group_e);
  DisplayInodeButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,105,100,95,30,"Inode");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayCB,inode_e);
  DisplayOwnerButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,10,40,95,30,"Owner");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayCB,owner_e);
  DisplayPermissionsButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,10,130,95,30,"Perm's");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayCB,perms_e);
  DisplayNLinksButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,10,160,95,30,"# Links");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayCB,nlinks_e);
  DisplaySizeButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,10,100,95,30,"Size");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayCB,size_e);
  DisplayAccessButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,105,40,95,30,"Access");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayCB,access_e);
  DisplayModificationButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,105,70,95,30,"Modific.");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayCB,modific_e);
  DisplayFiletypeButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,105,130,95,30,"Filetype");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayCB,filetype_e);
  obj = fl_add_text(FL_NORMAL_TEXT,335,5,120,30,"ID's");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  DisplayYearsButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,215,40,110,30,"Years");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayYearsButtonCB,0);
  DisplaySecondsButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,215,70,110,30,"Seconds");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplaySecondsButtonCB,0);
  DisplayCloseReturnButton = obj = fl_add_button(FL_RETURN_BUTTON,10,200,95,30,"Close");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayCloseReturnButtonCB,0);
  DisplayDefaultsButton = obj = fl_add_button(FL_NORMAL_BUTTON,105,200,95,30,"Defaults");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayDefaultsButtonCB,0);

  NumericSymbolicButtonGroup = fl_bgn_group();
  DisplaySymbolicIDButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,340,40,110,30,"Symbolic");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplaySymbolicNumericIDButtonCB,0);
  DisplayNumericIDButton = obj = fl_add_lightbutton(FL_RADIO_BUTTON,340,70,110,30,"Numeric");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplaySymbolicNumericIDButtonCB,1);
  fl_end_group();

  obj = fl_add_text(FL_NORMAL_TEXT,460,5,120,30,"Font");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  DisplayFontSizeButton = obj = fl_add_button(FL_NORMAL_BUTTON,465,40,110,30,"Size 11");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayFontSizeButtonCB,0);
  DisplayFontStyleButton = obj = fl_add_button(FL_NORMAL_BUTTON,465,70,110,30,"Style Normal");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayFontStyleButtonCB,0);
  DisplayTypeCharButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,105,160,95,30,"TypeChar");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayCB,typechar_e);
  DisplayFollowLinksButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,215,145,110,30,"Follow");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayFollowLinksButtonCB,0);
  obj = fl_add_text(FL_NORMAL_TEXT,210,110,120,30,"Symbolic Links");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,5,5,200,30,"Show ...");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,335,140,120,40,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  DisplayListHiddenButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,340,145,110,30,"^List");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayListHiddenButtonCB,0);
  obj = fl_add_text(FL_NORMAL_TEXT,335,110,120,30,"Hidden Files");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  DisplayHelpButton = obj = fl_add_button(FL_NORMAL_BUTTON,295,200,95,30,"F1 Help");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayHelpButtonCB,0);
  obj = fl_add_text(FL_NORMAL_TEXT,460,140,120,40,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  DisplayLongButton = obj = fl_add_lightbutton(FL_PUSH_BUTTON,465,145,110,30,"L^ong");
    fl_set_object_color(obj,FL_BLACK,FL_GREEN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplayLongButtonCB,0);
  obj = fl_add_text(FL_NORMAL_TEXT,460,110,120,30,"Window Title");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  DisplaySyncAllButton = obj = fl_add_button(FL_NORMAL_BUTTON,200,200,95,30,"S^ync All");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
    fl_set_object_callback(obj,DisplaySyncAllButtonCB,0);
  fl_end_form();

}
/*---------------------------------------*/

void display_create_the_forms(void)
{
  create_form_DisplayForm();
}

