
#ifndef EDIT_FORMS_AUX_H
#define EDIT_FORMS_AUX_H

#include <fstream.h>
#include "forms.h"
#include "resource.h"

// return wether an editor window was opened.
int quick_edit_file(const char *fname);	
int quick_edit_file(const char *fname, const char *dir);
void edit_context_func(void);
void edit_save_defaults(ofstream &ofile);
void edit_sync_defaults(void);
int get_edit_changed_count(char *fname_buf = NULL, unsigned int fname_buf_size = 0);

int edit_load_default(
    const char *obj_tok, 
    const char *name_tok, 
    const char *val_tok
);

int direct_editor_access_cb(int nId, int bMoveMouse);
void EditHistoryCB(void);

// -1 on fail, 0 to n for n editors.
// supply an offset that we can subtract from the menu value
// returned to our callback. In this fashion, the editor list
// can appear at any position in the menu.
int AddEditorsToMenu(long window_list_menu, int lValueOffsetIV);
int is_editor_window(Window window);

#endif

