/*
 * help_text.h: declare pointers to const text.
 * (C++) 1994 Henrik Klagges (henrik@robots.ox.ac.uk)
 */

#ifndef HELP_TEXT_H
#define HELP_TEXT_H

extern const char 
    *action_multi_help_text[],
    *arg_required_help_text[],
    *browser_help_text[],
    *browser_search_help_text[],
    *colours_help_text[],
    *copy_help_text[],
    *copy_rename_help_text[],
    *default_editor_help_text[],
    *delete_help_text[],
    *deselect_line_help_text[],
    *deselect_filename_help_text[],
    *display_help_text[],
    *dirinfo_help_text[],
    *duplicate_general_help_text[],
    *duplicate_help_text[],
    *edit_help_text[],
    *filter_line_help_text[],
    *filter_filename_help_text[],
    *fkeybar_help_text[],
    *help_help_text[],
    *xshell_conflict_help_text[],
    *license_help_text[],
    *make_help_text[],
    *mkdir_help_text[],
    *mkpath_help_text[],
    *move_help_text[],
    *move_rename_help_text[],
    *normal_mode_help_text[],
    *options_help_text[],
    *quick_edit_help_text[],
    *quick_edit_colour_help_text[],
    *rename_general_help_text[],
    *rename_help_text[],
    *select_filename_help_text[],
    *select_line_help_text[],
    *shell_colours_fonts_help_text[],
    *shell_help_text[],
    *sort_help_text[],
    *special_ops_help_text[],
    *status_help_text[],
    *suffix_rules_help_text[],
    *timeout_help_text[],
    *toolbox_help_text[],
    *tree_colour_help_text[],
    *tree_help_text[],
    *tree_copy_help_text[],
    *tree_delete_help_text[],
    *tree_duplicate_help_text[],
    *tree_mkdir_help_text[],
    *tree_move_help_text[],
    *tree_rename_help_text[],
    *tree_search_help_text[],
    *tree_target_mode_help_text[],
    *tutorial_help_text[],
    *wm_help_text[],
    *xshell_options_help_text[],

    *info_overview[],
//  *info_browser_handling[],
    *info_managing_selections[],
    *info_unary_operations[],
    *info_binary_operations[],
    *new_user_info[],
    *other_environment[],
    *other_acks[],
    *other_bugs[]
;

#endif
