#ifndef FD_OptionsForm_h_
#define FD_OptionsForm_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void OptionsFormCloseReturnButtonCB(FL_OBJECT *, long);
extern void OptionsFormSaveConfigButtonCB(FL_OBJECT *, long);
extern void OptionsFormLoadConfigButtonCB(FL_OBJECT *, long);
extern void OptionsFormAlwaysAskDontButtonCB(FL_OBJECT *, long);
extern void OptionsFormFactoryDefaultsButtonCB(FL_OBJECT *, long);
extern void OptionsFormUCShellButtonCB(FL_OBJECT *, long);
extern void OptionsFormStatusButtonCB(FL_OBJECT *, long);
extern void OptionsFormTreeAlwaysAskDontButtonCB(FL_OBJECT *, long);
extern void OptionsFormDefaultsButtonCB(FL_OBJECT *, long);
extern void OptionsFormHelpButtonCB(FL_OBJECT *, long);
extern void OptionsFormWinManagerButtonCB(FL_OBJECT *, long);
extern void OptionsFormAutoRaiseButtonCB(FL_OBJECT *, long);
extern void OptionsFormAutoMouseButtonCB(FL_OBJECT *, long);
extern void OptionsFormStartupMsgButtonCB(FL_OBJECT *, long);
extern void OptionsFormToolBoxVisibleButtonCB(FL_OBJECT *, long);
extern void OptionsFormToolBoxSplitButtonCB(FL_OBJECT *, long);
extern void OptionsFormFKeyBarButtonCB(FL_OBJECT *, long);
extern void OptionsFormEditorButtonCB(FL_OBJECT *, long);
extern void OptionsFormSpecialOpsButtonCB(FL_OBJECT *, long);
extern void OptionsFormShellOpsButtonCB(FL_OBJECT *, long);

extern void TimeoutFormSingleFileCounterCB(FL_OBJECT *, long);
extern void TimeoutFormCumulativeDirCounterCB(FL_OBJECT *, long);
extern void TimeoutFormCloseReturnButtonCB(FL_OBJECT *, long);
extern void TimeoutFormDefaultsButtonCB(FL_OBJECT *, long);
extern void TimeoutFormHelpButtonCB(FL_OBJECT *, long);

extern void SpecialOpsCtrlTimeoutCounterCB(FL_OBJECT *, long);
extern void SpecialOpsCloseReturnButtonCB(FL_OBJECT *, long);
extern void SpecialOpsPFlagButtonCB(FL_OBJECT *, long);
extern void SpecialOpsTimeoutsButtonCB(FL_OBJECT *, long);
extern void SpecialOpsMenuFSizeButtonCB(FL_OBJECT *, long);
extern void SpecialOpsMenuFStyleButtonCB(FL_OBJECT *, long);
extern void SpecialOpsToolFSizeButtonCB(FL_OBJECT *, long);
extern void SpecialOpsToolFStyleButtonCB(FL_OBJECT *, long);
extern void SpecialOpsDefaultsButtonCB(FL_OBJECT *, long);
extern void SpecialOpsHelpButtonCB(FL_OBJECT *, long);
extern void SpecialOpsFocusFlagButtonCB(FL_OBJECT *, long);
extern void SpecialOpsBrowserFrequencyCounterCB(FL_OBJECT *, long);
extern void SpecialOpsXShellFrequencyCounterCB(FL_OBJECT *, long);


/**** Forms and Objects ****/

extern FL_FORM *OptionsForm;

extern FL_OBJECT
        *OptionsFormCloseReturnButton,
        *OptionsFormSaveConfigButton,
        *OptionsFormLoadConfigButton,
        *OptionsFormAlwaysButton,
        *OptionsFormAskButton,
        *OptionsFormDontButton,
        *OptionsFormFactoryDefaultsButton,
        *OptionsFormUCShellButton,
        *OptionsFormStatusButton,
        *OptionsFormTreeAlwaysButton,
        *OptionsFormTreeAskButton,
        *OptionsFormTreeDontButton,
        *OptionsFormDefaultsButton,
        *OptionsFormHelpButton,
        *OptionsFormWinManagerButton,
        *OptionsFormAutoRaiseButton,
        *OptionsFormAutoMouseButton,
        *OptionsFormStartupMsgButton,
        *OptionsFormToolBoxVisibleButton,
        *OptionsFormToolBoxSplitButton,
        *OptionsFormFKeyBarButton,
        *OptionsFormEditorButton,
        *OptionsFormSpecialOpsButton,
        *OptionsFormShellOpsButton;

extern FL_FORM *TimeoutForm;

extern FL_OBJECT
        *TimeoutFormSingleFileCounter,
        *TimeoutFormCumulativeDirCounter,
        *TimeoutFormCloseReturnButton,
        *TimeoutFormDefaultsButton,
        *TimeoutFormHelpButton;

extern FL_FORM *SpecialOpsForm;

extern FL_OBJECT
        *SpecialOpsCtrlTimeoutCounter,
        *SpecialOpsCloseReturnButton,
        *SpecialOpsPFlagButton,
        *SpecialOpsTimeoutsButton,
        *SpecialOpsMenuFSizeButton,
        *SpecialOpsMenuFStyleButton,
        *SpecialOpsToolFSizeButton,
        *SpecialOpsToolFStyleButton,
        *SpecialOpsDefaultsButton,
        *SpecialOpsHelpButton,
        *SpecialOpsFocusFlagButton,
        *SpecialOpsBrowserFrequencyCounter,
        *SpecialOpsXShellFrequencyCounter;



/**** Creation Routine ****/

extern void options_create_the_forms(void);

#endif /* FD_OptionsForm_h_ */
