
/*
 * Scan the directory dirname calling select to make a list of selected
 * directory entries then sort using qsort and compare routine dcomp. Returns
 * the number of entries and a pointer to a list of pointers to struct direct
 * (through namelist). Returns -1 if there were any errors. 
 *
 *  SCANDIR
 *  Scan a directory, collecting all (selected) items into a an array.
 *  for the totally hosed solaris 5.3 BSD lib.
 */

#include <sys/types.h>
#include <dirent.h>

int scandir(
    const char *Name, 
    struct dirent **List[], 
    int (*Selector)(struct dirent*), 
    int (*Sorter)(struct dirent**, struct dirent**) 
);

int alphasort(struct dirent **d1, struct dirent **d2);
