
#ifndef TOOLBOX_FORMS_AUX_H
#define TOOLBOX_FORMS_AUX_H

#include <fstream.h>
#include "forms.h"
#include "resource.h"

extern double
    toolbox_ctrl_timeout
;
extern int
	toolbox_tree_flag,
	toolbox_split_flag,
    toolbox_wx, 
    toolbox_wy,
    toolbox_ww,
    toolbox_wh
;

extern int toolbox_visible_flag;

void toolbox_attach(int tree_flag = TRUE);
void toolbox_attach_title(void);
void toolbox_split(void);
void toolbox_help_func(void);
void toolbox_close_form(void);
void toolbox_iconify(void);
void toolbox_uniconify(void);
void toolbox_show_form(void);
void toolbox_create_the_forms(void);
void toolbox_save_defaults(ofstream &ofile);
void toolbox_sync_defaults(void);   // after loading. 

int toolbox_load_default(
    const char *obj_tok, 
    const char *name_tok, 
    const char *val_tok
);

#endif

